%global srcname s3transfer

%global py3_prefix python%{python3_pkgversion}

Name:           python3-%{srcname}
Version:        0.3.3
Release:        2%{?dist}
Summary:        Amazon S3 Transfer Manager

License:        ASL 2.0
URL:            https://pypi.org/project/s3transfer/
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-botocore        >= 1.12.36
Requires:       python3-botocore        < 2.0
BuildRequires:  python3-devel
BuildRequires:  %{py3_prefix}-mock
BuildRequires:  %{py3_prefix}-nose
BuildRequires:  python3-setuptools

Requires:       python3-botocore        >= 1.12.36
# this is present in the egg metadata, adding it here as well so the RPM
# dependencies really reflect the Python constraints.
Requires:       python3-botocore        < 2.0


%description
S3transfer is a Python library for managing Amazon S3 transfers.

This is the Python 3 version of the library.

%prep
%autosetup -n %{srcname}-%{version}
rm -vrf *.egg-info

%build
%py3_build

%install
%py3_install

%check
cd tests
nosetests-%{python3_version} unit

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Sat Nov 28 2020 Felix Schwarz <fschwarz@fedoraproject.org> - 0.3.3-1
- initial EPEL package (based on Fedora spec file for python-s3transfer)

